<?php

require_once('config.php');

header('Access-Control-Allow-Origin: *');
header('Content-Type: application/json; charset=utf-8');

$license_key = isset($_POST['license']) ? $_POST['license']: '';
$name = isset($_POST['name']) ? $_POST['name']: '';

$uuid = isset($_POST['uuid']) ? $_POST['uuid']: '';
$os = isset($_POST['os']) ? $_POST['os']: '';
$model = isset($_POST['model']) ? $_POST['model']: '';

if($license_key && $name && $uuid){

  $license = $db->query("SELECT * FROM licenses WHERE license_key='$license_key' AND deleted_at IS NULL")->fetch();

  if($license){

    if(($license['uuid'] == null && $license['os'] == null && $license['model'] == null) || $license['uuid'] == $uuid){

      $settings = $db->query("SELECT * FROM settings WHERE venue_id='$license[venue_id]' LIMIT 1")->fetch();

      $response = array(
        "successful" => true,
        "data" => array(
          "license" => $license['license_key'],
          "settings" => array(
            "local_ip" => $settings['local_ip'],
            "remote_ip" => $settings['remote_ip'],
            "api_key" => $settings['api_key']
          )
        )
      );

      $db->exec("UPDATE licenses SET name='$name', uuid='$uuid', os='$os', model='$model' WHERE id='$license[id]'");

    } else {
      $response = array("successful" => false, "error_title" => "Hata", "error_message" => "Bu lisans anahtarı zaten başka bir kullanıcı tarafından kullanılmaktadır. Lütfen lisans anahtarını yenileyin, diğer kullanıcıdan silin yada yeni bir lisans anahtarı alın.");
    }
  } else {
    $response = array("successful" => false, "error_title" => "Hata", "error_message" => "Lisans anahtarı yanlış. Lütfen kontrol edip tekrar deneyin.");
  }
} else {
  $response = array("successful" => false, "error_title" => "Hata", "error_message" => "Boş alanlar var.");
}

echo json_encode($response, JSON_UNESCAPED_UNICODE);

?>
